diff -U 3 -H -d -r -N -- openxcom/src/Battlescape/ExplosionBState.cpp openxcom/src/Battlescape/ExplosionBState.cpp
--- openxcom/src/Battlescape/ExplosionBState.cpp	2019-08-22 13:49:17.434299475 +0200
+++ openxcom/src/Battlescape/ExplosionBState.cpp	2019-08-22 13:00:42.000000000 +0200
@@ -44,8 +44,10 @@
  * @param unit Unit involved in the explosion (eg unit throwing the grenade).
  * @param tile Tile the explosion is on.
  * @param lowerWeapon Whether the unit causing this explosion should now lower their weapon.
+ * @param cosmetic Check for casulties after the explosion.
+ * @param forcedPower Sets the power of the explosion.
  */
-ExplosionBState::ExplosionBState(BattlescapeGame *parent, Position center, BattleItem *item, BattleUnit *unit, Tile *tile, bool lowerWeapon, bool cosmetic) : BattleState(parent), _unit(unit), _center(center), _item(item), _tile(tile), _power(0), _areaOfEffect(false), _lowerWeapon(lowerWeapon), _cosmetic(cosmetic)
+ExplosionBState::ExplosionBState(BattlescapeGame *parent, Position center, BattleItem *item, BattleUnit *unit, Tile *tile, bool lowerWeapon, bool cosmetic, int forcedPower) : BattleState(parent), _unit(unit), _center(center), _item(item), _tile(tile), _power(forcedPower), _areaOfEffect(false), _lowerWeapon(lowerWeapon), _cosmetic(cosmetic)
 {
 
 }
@@ -91,7 +93,7 @@
 	}
 	else
 	{
-		_power = 120;
+		/*_power = 120;*/ // overwritten by forcedPower
 		_areaOfEffect = true;
 	}
 
@@ -277,7 +279,7 @@
 	}
 	if (!_tile && !_item)
 	{
-		int radius = 6;
+		int radius = _power / 20; //6; default forcedPower is 120, thus default radius is 120/20=6, but this way radius can be set as well
 		// explosion not caused by terrain or an item, must be by a unit (cyberdisc)
 		if (_unit && (_unit->getSpecialAbility() == SPECAB_EXPLODEONDEATH || _unit->getSpecialAbility() == SPECAB_BURN_AND_EXPLODE))
 		{
diff -U 3 -H -d -r -N -- openxcom/src/Battlescape/ExplosionBState.h openxcom/src/Battlescape/ExplosionBState.h
--- openxcom/src/Battlescape/ExplosionBState.h	2019-08-22 13:49:17.438299475 +0200
+++ openxcom/src/Battlescape/ExplosionBState.h	2019-08-22 11:51:28.000000000 +0200
@@ -45,7 +45,7 @@
 	void explode();
 public:
 	/// Creates a new ExplosionBState class.
-	ExplosionBState(BattlescapeGame *parent, Position center, BattleItem *item, BattleUnit *unit, Tile *tile = 0, bool lowerWeapon = false, bool cosmetic = false);
+	ExplosionBState(BattlescapeGame *parent, Position center, BattleItem *item, BattleUnit *unit, Tile *tile = 0, bool lowerWeapon = false, bool cosmetic = false, int forcedPower = 120);
 	/// Cleans up the ExplosionBState.
 	~ExplosionBState();
 	/// Initializes the state.
